Bug 968846 - [Webadmin] RFE - Add "Last Page" Button in "Virtual Machines" Tab
[Webadmin] RFE - Add "Last Page" Button in "Virtual Machines" Tab
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Pavel Stehlik
: FutureFeature, Improvement
Depends On:
  Show dependency treegraph
Reported: 2013-05-30 02:07 EDT by David Botzer
Modified: 2016-02-10 14:29 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-11-27 03:36:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
LastPage (73.87 KB, image/png)
2013-05-30 02:07 EDT, David Botzer
no flags Details

  None (edit)
Description David Botzer 2013-05-30 02:07:06 EDT
Created attachment 754668 [details]

Description of problem:
in "Virtual Machines" Tab, Add "Last Page" Button 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install rhevm
2.create many VMs
3.Select "Virtual Machines" Tab

Actual results:
The user has to press next for each page in order to get to the last page

Expected results:
Should have a button Last Page (>>)

Additional info:
Comment 1 Eli Mesika 2013-05-30 05:28:46 EDT
This is a general request since all tabs rely on the search mechanism.

Last page is complicated, since in order to know to get to the last page we must get the count of entity instances on the specific search creteria whicj might be time consuming.

If you want to look in the last page, you can do it today by switching the "sortby" direction on the specific key from desc to asc and vice versa 

Since search queries are executed often and when the engine have lo of users connected concurrently we will get lots of serach queries executed at the same time. I suggest not to implement this, rhater, suggest the sortby as a workaround
Comment 3 Itamar Heim 2013-11-27 03:36:49 EST
closing as not trivial. will reconsider if there is a high demand

Note You need to log in before you can comment on or make changes to this bug.